#!/bin/bash

ROOT_UID=0

abs_path=$(cd `dirname $0`;pwd)
jyn_install_path=$abs_path/../

#check root
check_root(){
if [ "$UID" -ne "$ROOT_UID" ]; then
  echo "please running as root..."
  exit 0
fi
}

#kill and restart
start_all(){
service jyngjcz start
service jyngltx start
sudo -u `last -w | grep log | head -n 1 | awk '{print $1}'` -i $jyn_install_path/JYNRJJH1 -autodisp >/dev/null 2>&1 &
}

stop_all(){
	kill -9 `pgrep JYNRJJH2`
	service jyngjcz stop 
	service jyngltx stop
}

restart_all(){
kill -9 `pgrep JYNRJJH2`
service jyngjcz restart
service jyngltx restart
sudo -u `last -w | grep log | head -n 1 | awk '{print $1}'` -i $jyn_install_path/JYNRJJH1 -autodis >/dev/null p 2>&1 &
}

case "$1" in
start)
	check_root
	start_all
  ;;
stop)
	check_root
	stop_all
  ;;
status)
	service jyngjcz status
	service jyngltx status
  ;;
restart)
	check_root
	restart_all
	;;
*)
  echo $"Usage: $0 {start|stop|restart|status}"  
  exit 1
esac

